Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-RU-2013:1023-1: plymouth: Several fixes
openSUSE Recommended Update: plymouth: Several fixes
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:1023-1
Rating: low
References: #811185
Affected Products:
openSUSE 12.3
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update fixes the following issues with plymouth:
- do not try to close negative fd.
- bnc#811185:
+ do not leak fd when stopping redirection of /dev/console
+ redirect plymouth standard io to /dev/null
- Add plymouth-exit-code.patch: ignore exit code in
ExecStartPost.
- Add plymouth-terminal-session-close.patch: do no try to
close terminal session fd if already closed.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-500

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libply-boot-client2-0.8.8_git201211022126-4.6.1
libply-boot-client2-debuginfo-0.8.8_git201211022126-4.6.1
libply-splash-core2-0.8.8_git201211022126-4.6.1
libply-splash-core2-debuginfo-0.8.8_git201211022126-4.6.1
libply-splash-graphics2-0.8.8_git201211022126-4.6.1
libply-splash-graphics2-debuginfo-0.8.8_git201211022126-4.6.1
libply2-0.8.8_git201211022126-4.6.1
libply2-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-0.8.8_git201211022126-4.6.1
plymouth-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-debugsource-0.8.8_git201211022126-4.6.1
plymouth-devel-0.8.8_git201211022126-4.6.1
plymouth-dracut-0.8.8_git201211022126-4.6.1
plymouth-plugin-fade-throbber-0.8.8_git201211022126-4.6.1
plymouth-plugin-fade-throbber-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-plugin-label-0.8.8_git201211022126-4.6.1
plymouth-plugin-label-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-plugin-script-0.8.8_git201211022126-4.6.1
plymouth-plugin-script-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-plugin-space-flares-0.8.8_git201211022126-4.6.1
plymouth-plugin-space-flares-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-plugin-throbgress-0.8.8_git201211022126-4.6.1
plymouth-plugin-throbgress-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-plugin-two-step-0.8.8_git201211022126-4.6.1
plymouth-plugin-two-step-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-scripts-0.8.8_git201211022126-4.6.1
plymouth-utils-0.8.8_git201211022126-4.6.1
plymouth-utils-debuginfo-0.8.8_git201211022126-4.6.1
plymouth-x11-renderer-0.8.8_git201211022126-4.6.1
plymouth-x11-renderer-debuginfo-0.8.8_git201211022126-4.6.1

- openSUSE 12.3 (noarch):

plymouth-theme-fade-in-0.8.8_git201211022126-4.6.1
plymouth-theme-script-0.8.8_git201211022126-4.6.1
plymouth-theme-solar-0.8.8_git201211022126-4.6.1
plymouth-theme-spinfinity-0.8.8_git201211022126-4.6.1
plymouth-theme-spinner-0.8.8_git201211022126-4.6.1


References:

https://bugzilla.novell.com/811185


< Previous Next >
This Thread
  • No further messages